Page MenuHomePhabricator

Unconference: Ukulele to Wikitext
Closed, ResolvedPublic

Description

Imagine a world in which you can edit Wikipedia by playing Ukulele.

Wikitext is hard to type. Ukulele is easy to play. Problem solved.

Help me make this crazy idea a real thing.

Almost empty github repo is all there is right now: https://github.com/zeljkofilipin/ukulele-to-wikitext

Chords:

A {{Alert}}
B {{Broken link}}
C {{citation needed}}
D {{done}}
E {{Extension}}
F [[foundation:]]
G [[gerrit:]]

Notes

Scribe

@Pablo-WMDE

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 14 2019, 4:02 AM
zeljkofilipin triaged this task as Medium priority.Nov 15 2019, 3:58 AM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptNov 15 2019, 4:58 PM
zeljkofilipin updated the task description. (Show Details)
WMDE-Fisch added a subscriber: WMDE-Fisch.
Pablo-WMDE updated the task description. (Show Details)Nov 15 2019, 7:08 PM
Pablo-WMDE updated the task description. (Show Details)EditedNov 15 2019, 7:30 PM
Pablo-WMDE added a subscriber: Pablo-WMDE.

Notes

i had this crazy idea
once i had kids, and job and life i stopped playing instruments but about a year a ago i found an ukulele for me in Vienna
about 35 €
i travel with it, it is small, i take it to the plane
very similar to other string instruments
krinkle: i play the piano
clearly, i am not the first person to start playing an instrument and trying to connect it to the computer - to convert it to text

[shows an example where a piano player "types]

with the piano it is easy, the midi interface can do that
but i create a github repo to take the sound from my ukulele and turn it into text inside the computer
my selenium workshop only got 2 votes, the ukulele one got 9, so here we are
a proof of concept of ukulele to wikitext
i want to collect further ideas from you
guest: can you please show/explain us how it works currently

[explains the different things he will do]

i had many ideas how to do it, but for simplicity:
12 frets, 4 strings (= 48) but not all combinations are unique, so maybe 20 or 30 notes
that would be enough for lower case English alphabet
the simplest chord should be delete for ease of use
now the major chords: for templates and interwiki links

[presents]
[laptop shows hedgehog image with speech bubble of what it would type]
"there was no goat image to illustrate it"

used scratch programming language as seen in schools
scratch has only about 30 commands but pretty powerful for a language that simple
the problem is that it can not detect pitch when i am playing
mostly it is setting a collection of variables

on a 8 octave piano many many characters can be encoded but with the ukulele is limited of course

[presents again: a chord, ...]

I propose to rewrite scap in scratch!
any ideas for programming languages which can do that better?
krinkle: java for sure, then you can use web APIs to connect it to your browser

bridgit plays an instrument which reacts to hand movements ( Theremin )
krinkle: this could allow wikitext for the deaf and hard of hearing
i was looking for some excuse to learn some python so doing it "properly" would be an option

krinkle: consider making it less efficient. 3 notes making for one letter will make is much slower but for a more melodious end result

we invented a new music style: progressive jazz

we had someone come to the WMF office who is 90% blind - wonder what he would say about that

obviously this is not practical at all, and not art either

making chord or chord progressions forming only one character could make this much more appealing to the listener - but slower

zeljkofilipin removed zeljkofilipin as the assignee of this task.Jan 15 2020, 4:18 PM
Aklapper closed this task as Resolved.Jan 15 2020, 4:34 PM